Bug 130301 - [PATCH] mail/fetchmail: make fetchable (urgent)
Summary: [PATCH] mail/fetchmail: make fetchable (urgent)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-08 13:20 UTC by Matthias Andree
Modified: 2009-01-12 01:10 UTC (History)
1 user (show)

See Also:


Attachments
fetchmail-6.3.9.patch (974 bytes, patch)
2009-01-08 13:20 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree 2009-01-08 13:20:02 UTC
There have been two MASTER_SITE_SUBDIR statements, rendering the port
unfetchable for the majority of sites. Add one more mirror site in case
berlios.de goes down (metalab/sunsite haven't yet picked up the tarball).

Please do not wait for maintainer approval, previous commit was approved on
maintainer timeout grounds.

Port maintainer (barner@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2009-01-08 13:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->barner

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2009-01-11 23:55:05 UTC
State Changed
From-To: open->feedback

This patch isn't correct: 

-               http://home.leo.org/~barner/freebsd/distfiles/:leo 
+               http://home.leo.org/~barner/freebsd/distfiles/:leo  
MASTER_SITE_SUBDIR=    fetchmail/:DEFAULT,leo  

The second line leaves a trailing slash, meaning the MASTER_SITE_SUBDIR 
line will get munched. 

Please submit a revised patch, since I can't tell exactly what you're 
trying to do here.  Thanks.
Comment 3 Matthias Andree 2009-01-12 00:19:50 UTC
Hi Mark,

sorry for the mess - this patch against CVS ports/mail/fetchmail/ should
work. (It just removes the backslash that you rightfully questioned.)

--- fetchmail-6.3.9.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/mail/fetchmail/Makefile,v
retrieving revision 1.197
diff -u -u -r1.197 Makefile
--- Makefile	8 Jan 2009 12:12:43 -0000	1.197
+++ Makefile	12 Jan 2009 00:14:42 -0000
@@ -13,12 +13,13 @@
 PORTVERSION=	6.3.9
 CATEGORIES=	mail ipv6
 MASTER_SITES=	${MASTER_SITE_BERLIOS} \
+		http://homepages.uni-paderborn.de/mandree/fetchmail/:ma \
 		${MASTER_SITE_SUNSITE:S/$/:sunsite/}\
 		http://home.leo.org/~barner/freebsd/distfiles/:leo
 MASTER_SITE_SUBDIR=	fetchmail/:DEFAULT,leo \
-			system/mail/pop/fetchmail/:sunsite
-MASTER_SITE_SUBDIR=	fetchmail
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:DEFAULT,leo,sunsite
+			system/mail/pop/fetchmail/:sunsite \
+			./:ma
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:DEFAULT,ma,leo,sunsite
 
 MAINTAINER=	barner@FreeBSD.org
 COMMENT=	Batch mail retrieval utility for IMAP/POP3/ETRN/ODMR
--- fetchmail-6.3.9.patch ends here ---

-- 
Matthias Andree
Comment 4 dfilter service freebsd_committer 2009-01-12 00:59:36 UTC
linimon     2009-01-12 00:59:27 UTC

  FreeBSD ports repository

  Modified files:
    mail/fetchmail       Makefile 
  Log:
  Add http://homepages.uni-paderborn.de to MASTER_SITES.  The sunsite
  mirrors appear to be behind.  Also (temporarily?) remove home.leo.org,
  as the site seems to have been rearranged.
  
  PR:             ports/130301
  Submitted by:   Matthias Andree <matthias dot andree at gmx dot de>
  Hat:            portmgr
  
  Revision  Changes    Path
  1.198     +6 -6      ports/mail/fetchmail/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2009-01-12 00:59:55 UTC
State Changed
From-To: feedback->closed

Committed with portmgr hat, since I'm waiting for an email from 
the maintainer w/rt the previous timeout. 


Comment 6 Mark Linimon freebsd_committer freebsd_triage 2009-01-12 00:59:55 UTC
Responsible Changed
From-To: barner->linimon